Skip to main content

Gets an API key by ID

GET /v1/apikey/{apiKeyID}

Summary

Gets an API key by ID.

Details

This endpoint requires an authenticated web session.

Authentication

No operation-level security requirement is documented here.

Parameters

NameInTypeRequiredDescriptionExample
apiKeyIDpathinteger (int64)YesThe ID of the API key to retrieve.1

Request Body

No request body is documented here.

Responses

200

Success

application/json

  • key (integer (int64), optional)
  • appID (integer (int64), optional)
  • aPIKeyDescription (string, optional)
  • accessKey (string, optional)
  • secretKey (string, optional)
  • status (integer (int64), optional)
  • lastAccessDate (string (date-time), optional)
  • creationDate (string (date-time), optional)

Example

{
"key": 1,
"appID": 1,
"aPIKeyDescription": "Example description",
"accessKey": "Example value",
"secretKey": "Example value",
"status": 1,
"lastAccessDate": "2026-03-30T12:00:00.0000000Z",
"creationDate": "2026-03-30T12:00:00.0000000Z"
}